<?
function showRecentUpdateEntry($parameter) {
	global $database, $owner, $pluginURL, $blogURL, $configVal,$blog;
	if (isset($parameter['preview'])) {
		// preview mode
		$retval = "블로그 글중 최근 업데이트된 글을 보여 줍니다.";
		return $retval;
	}
	requireComponent('Textcube.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	if(is_null($data)){
		$data['listLength']		= 3;
		$data['titleLength']	= 25;
		$data['commentView']	= 1;
	}

	$visibility = doesHaveOwnership()?'':'AND visibility > 0';
	$data['listLength'] = ($data['listLength'])?" LIMIT 0, {$data['listLength']} ":"";
	$result = mysql_query("SELECT id, title, comments, slogan, modified FROM {$database['prefix']}Entries WHERE blogid = $owner AND draft = 0 AND category >= 0 $visibility ORDER BY modified DESC {$data['listLength']}");
	$target = "<div class=\"listbox\">\n";
	$target .= "<h3>Recent Update Post</h3>\n";
	$target .= " <ul style=\"display: none;\">\n";

	while($entry = mysql_fetch_array($result)){
		$title = htmlspecialchars(UTF8::lessenAsEm($entry['title'],$data['titleLength']));
		$permalink = ($blog['useSlogan']?"{$blogURL}/entry/".$entry['slogan']:"{$blogURL}/".$entry['id']);
		if($data['commentView'] == 1) $commtent = ($entry['comments'])?"<span class=\"cnt\">({$entry['comments']})</span>":"";
		$target .= "<li class=\"liveRecentUpdateEntry\"><span style=\"background:url('{$pluginURL}/icon_speaker.gif') no-repeat 1px 0px;padding-left:12px;\"><a href=\"{$permalink}\">{$title}</a></span> {$commtent}</li>\n";
	}
	$target .= " </ul>\n";
	ob_start();
?>
<script type="text/javascript" src="<?=$pluginURL?>/liveRecentUpdateEntry.js"></script>
<!-- Live Recent Update Entry List Script v.1.0 start -->
<script type="text/javascript">
	// Author: Dustin Diaz (http://www.dustindiaz.com)
	// Author: J.Parker (http://create74.com)
	// Author: ssai (hhtp://saistory.net)
	// Author: nani (http://sangsangbox.net)

	//<![CDATA[
	function getElementsByClass(searchClass,node,tag) {
		var classElements = new Array();
		if ( node == null )
			node = document;
		if ( tag == null )
			tag = '*';
		var els = node.getElementsByTagName(tag);
		var elsLen = els.length;
		var pattern = new RegExp("(^|\\s)"+searchClass+"(\\s|$)");
		for (i = 0, j = 0; i < elsLen; i++) {
			if ( pattern.test(els[i].className) ) {
				classElements[j] = els[i];
				j++;
			}
		}
		return classElements;
	}

	var Umsgs = new Array();
	
	Udata = getElementsByClass("liveRecentUpdateEntry" );
	for (var i = 0; i < Udata.length; i++) {
		Umsgs[Umsgs.length] = Udata[i].innerHTML;
	}

	var Utype = 0; 
	var Uwidth = 190;
	var Uheight = 18;
	var Ubgcolor = '';
	var Ubackground = '';
	var Uspeed = 10;
	var Udelay = 5000;
	var Ufirst = 0; 
	var Ualign = 'left';
	Ultimate(Utype,Umsgs,Uwidth,Uheight,Ubgcolor,Ubackground,Uspeed,Udelay,Ufirst,Ualign);

	//]]>
</script>
<!-- Live Recent Update Entry List Script v.1.0 end -->
<?
	$script = ob_get_contents();
	ob_end_clean();
	$target .= "</div>\n".$script;
  return $target;
}

function RecentUpdateEntryDataSet($data){
	requireComponent('Textcube.Function.misc');
	$cfg = misc::fetchConfigVal($data);
	return true;
}
?>
